/*
  sid (c) 1999-2003 by Dirk Jagdmann <doj@cubic.org>

  This file is part of sid.

  sid is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 2 of the License, or (at your
  option) any later version.

  sid is distributed in the hope that it will be useful, but WITHOUT
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
  or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
  License for more details.

  You should have received a copy of the GNU General Public License
  along with sid; if not, write to the Free Software Foundation, Inc.,
  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  
  $Header: /home/cvs/sidblaster/sid/load.hh,v 1.3 2003/05/21 23:10:32 doj Exp $
*/

#ifndef LOAD__HH
#define LOAD__HH

#include <string>

#include "c64.h"
#include "psid.h"

/**
   load filename into c64. The filetype is determined autotically.

   @return pointer to psid structure filled with valid values. 0 if there was an error while loading. The caller must delete the returned struct.
*/
psid* load(const std::string& filename, C64 *c64);

#endif
